import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:syncrow_web/pages/analytics/modules/air_quality/blocs/air_quality_distribution/air_quality_distribution_bloc.dart';
import 'package:syncrow_web/pages/analytics/modules/air_quality/widgets/aqi_type_dropdown.dart';
import 'package:syncrow_web/pages/analytics/modules/energy_management/widgets/chart_title.dart';
import 'package:syncrow_web/pages/analytics/widgets/charts_loading_widget.dart';

class AqiDistributionChartTitle extends StatelessWidget {
  const AqiDistributionChartTitle({required this.isLoading, super.key});

  final bool isLoading;

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        ChartsLoadingWidget(isLoading: isLoading),
        const Expanded(
          flex: 3,
          child: FittedBox(
            fit: BoxFit.scaleDown,
            alignment: AlignmentDirectional.centerStart,
            child: ChartTitle(
              title: Text('Distribution over Air Quality Index'),
            ),
          ),
        ),
        FittedBox(
          alignment: AlignmentDirectional.centerEnd,
          fit: BoxFit.scaleDown,
          child: AqiTypeDropdown(
            onChanged: (value) {
              if (value != null) {
                context
                    .read<AirQualityDistributionBloc>()
                    .add(UpdateAqiTypeEvent(value));
              }
            },
          ),
        ),
      ],
    );
  }
}
