import 'package:flutter_bloc/flutter_bloc.dart';

part 'space_tree_dropdown_event.dart';
part 'space_tree_dropdown_state.dart';

class SpaceTreeDropdownBloc
    extends Bloc<SpaceTreeDropdownEvent, SpaceTreeDropdownState> {
  SpaceTreeDropdownBloc(String? initialId)
      : super(SpaceTreeDropdownState(selectedSpaceId: initialId)) {
    on<SpaceTreeDropdownSelectEvent>(_onSelect);
    on<SpaceTreeDropdownResetEvent>(_onReset);
  }

  void _onSelect(
    SpaceTreeDropdownSelectEvent event,
    Emitter<SpaceTreeDropdownState> emit,
  ) {
    emit(SpaceTreeDropdownState(selectedSpaceId: event.spaceId));
  }

  void _onReset(
    SpaceTreeDropdownResetEvent event,
    Emitter<SpaceTreeDropdownState> emit,
  ) {
    emit(SpaceTreeDropdownState(selectedSpaceId: event.initialId));
  }
}